﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication273.ViewModel
{
  public  class VM:INotifyPropertyChanged
    {
      ObservableCollection<Person> people = new ObservableCollection<Person>();
      public ObservableCollection<Person> People
      {
          get { return people; }
          set { people = value; }
      }

      public VM()
      {
          for (int i = 0; i < 20; i++)
          {
              Person p = new Person()
              {
                  Name = "Name " + i.ToString(),
                  Occupation = "Occupation " + i.ToString(),
                  Age = 18 + i
              };
              people.Add(p);
          }
      }

      Boolean isselected = false;
      public Boolean IsSelected
      {
          get { return isselected; }
          set { isselected = value;
          NotifyPropertyChanged("IsSelected");
          }
      }
      
      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }
    }
}
